View Issue Details

IDProjectCategoryView StatusLast Update
0000005SoftwareSensorspublic2007-08-10 21:51
ReporterPeterAssigned ToPeter 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.2 
Target VersionFixed in Version1.3.3 
Summary0000005: Other Trip Meter Sensors (Fuel Used, Trip Fuel Economy, Trip Distance)
DescriptionFuel Used can be worked out from intermediate step in existing economy calculation, determining how long since last reading and infering how much fuel was used at that current rate, then added to previous value.

Trip Distance can be worked out in similar manner with speed (as it is in the LCD Display)

Trip Fuel Economy can then be worked out based on Fuel Used/Trip Distance
TagsNo tags attached.

Activities

Peter

2007-08-07 23:08

administrator   ~0000005

just realised i wont be able to test this release on my car as its out of action - might post a beta of it so other people can test it and see it works ok.

all these economy sensors will retain value for current ecutalk program session - ie u need to restart to clear values (maybe add a option to clear them later)

Peter

2007-08-08 00:15

administrator   ~0000007

implemented pending testing it works properly. these 3 sensors max out all available room for cars that support all sensors (eg 300zx/gtr might), but i think thats ok since there wont be any new sensors for a while (until switches/registers are supported)

Peter

2007-08-10 21:51

administrator   ~0000009

initial v1.3.3 beta release had two major issues when used on a pocket pc (laptop was fine), the first was the name of the sensors was not shown for distance/fuel used, the second was that ecutalk would exit if you choose either of these and displayed the gauges. both issues were caused by lack of support for the inline ternary operator:
(condition ? truevalue : falsevalue)

eg for setting distance sensor name:
(Settings.Imperial ? "Mi" : "KM")

the latest v1.3.3 beta 2 posted on news page has these issues fixed

Issue History

Date Modified Username Field Change
2007-07-11 10:34 Peter New Issue
2007-07-11 10:35 Peter Category Gauges => Sensors
2007-07-12 12:55 Peter Severity minor => feature
2007-07-13 22:44 Peter Reproducibility always => N/A
2007-08-05 01:01 Peter Status new => assigned
2007-08-05 01:01 Peter Assigned To => Peter
2007-08-07 23:08 Peter Note Added: 0000005
2007-08-08 00:15 Peter Note Added: 0000007
2007-08-08 00:15 Peter Status assigned => closed
2007-08-08 00:15 Peter Resolution open => fixed
2007-08-08 00:15 Peter Fixed in Version => 1.3.3
2007-08-10 21:51 Peter Note Added: 0000009